#!/bin/sh

# extracts all the sources into ./_tmp that we got
# with dl_sources.sh

export PATH=$(pwd)/_bin:$PATH;

set -e

x_rewise()
{
	mkdir "./_tmp/$1"
	rewise -x "./_tmp/$1" "$1"
}

# clean up
if [ -d "./_tmp" ]
then
		rm -rf "./_tmp"
fi
mkdir "./_tmp"

# extract our sources
x_rewise "hluplink.exe"
x_rewise "hl1110.exe"
x_rewise "opfordemofull.exe"
x_rewise "hl_sdk_v23.exe"
x_rewise "of1108.exe"
x_rewise "steaminstall_halflife.exe"
x_rewise "steaminstall_opfor.exe"

mkdir -p "./_tmp/hluplink-pak0"
pakextract -o "./_tmp/hluplink-pak0" "./_tmp/hluplink.exe/MAINDIR/valve/pak0.PAK"

mkdir -p "./_tmp/opfordemofull-pak0"
pakextract -o "./_tmp/opfordemofull-pak0" "./_tmp/opfordemofull.exe/MAINDIR/valve/pak0.PAK"

mkdir -p "./_tmp/opfordemofull-gbpak0"
pakextract -o "./_tmp/opfordemofull-gbpak0" "./_tmp/opfordemofull.exe/MAINDIR/gearbox/pak0.PAK"

mkdir -p "./_tmp/half-life.gcf"
hlextract -p "./_tmp/steaminstall_halflife.exe/MAINDIR/SteamApps/half-life.gcf" -d "./_tmp/half-life.gcf" -e "root/valve/"

mkdir -p "./_tmp/opposing force.gcf"
hlextract -p "./_tmp/steaminstall_opfor.exe/MAINDIR/SteamApps/opposing force.gcf" -d "./_tmp/opposing force.gcf" -e "root/gearbox/"

./ccase.sh -r "./_tmp"

# if anything goes wrong here, it's probably imagemagick messing with the image
convert "./_tmp/hluplink-pak0/gfx/shell/btns_main.bmp" -compress none -crop 156x4836+0+0 BMP3:"./_tmp/hluplink-pak0/btns_main.bmp"
convert "./_tmp/of1108.exe/maindir/gearbox/gfx/shell/btns_main.bmp" -compress none -crop 156x5382+0+0 BMP3:"./_tmp/of1108.exe/btns_main.bmp"

bmpfix "./_tmp/hl1110.exe/maindir/valve/models/player/hgrunt/hgrunt.bmp"

sed -i '/slot6,/d' "./_tmp/opfordemofull-pak0/gfx/shell/kb_act.lst"
sed -i '/slot7,/d' "./_tmp/opfordemofull-pak0/gfx/shell/kb_act.lst"